johnzon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From James Carman <ja...@carmanconsulting.com>
Subject Non-CDI johnzon-jsonb jar?
Date Sat, 24 Jun 2017 04:47:55 GMT
I noticed in the MANIFEST.MF file for johnzon-jsonb that we have:

Import-Package:
javax.enterprise.context.spi;version="[1.0,2)",javax.enterprise.event;version="[1.0,2)",javax.enterprise.inject.spi;version="[1.0,2)"...

While it's nice that it supports CDI and all, I think that's too
heavy-handed for general purpose usage.  I don't want to have to load up
CDI just to be able to load Johnzon into my OSGi container.  Perhaps we can
break the CDI support into a separate jar?

James

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message